/*******************************************************************************
 * Copyright 2010
 * Ubiquitous Knowledge Processing (UKP) Lab
 * Technische Universität Darmstadt
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package de.tudarmstadt.ukp.dkpro.core.decompounding.uima.resource;

import java.util.List;
import java.util.Map;

import org.apache.uima.resource.ResourceInitializationException;
import org.apache.uima.resource.ResourceSpecifier;

import de.tudarmstadt.ukp.dkpro.core.decompounding.ranking.CompoundProbabilityRanker;
import de.tudarmstadt.ukp.dkpro.core.decompounding.splitter.DecompoundedWord;
import de.tudarmstadt.ukp.dkpro.core.decompounding.splitter.DecompoundingTree;
import de.tudarmstadt.ukp.dkpro.core.decompounding.web1t.Finder;

public class ProbabilityRankerResource
	extends RankerResource
{

	@SuppressWarnings({ "rawtypes" })
	@Override
	public boolean initialize(ResourceSpecifier aSpecifier,
			Map aAdditionalParams)
		throws ResourceInitializationException
	{
		if (!super.initialize(aSpecifier, aAdditionalParams)) {
			return false;
		}

		ranker = new CompoundProbabilityRanker();

		return true;
	}

	@Override
	public DecompoundedWord highestRank(DecompoundingTree aSplitTree)
	{
		return ranker.highestRank(aSplitTree);
	}

	@Override
	public void setFinder(Finder aFinder)
	{
		ranker.setFinder(aFinder);
	}

	@Override
	public List<DecompoundedWord> bestPath(DecompoundingTree aTree)
	{
		return ranker.bestPath(aTree);
	}
}
